/*

  Author(s): Ilja V. Ryndin <support@rusbitech.ru>
  Start date: *

*/

#ifndef FLYFMERROR_H
#define FLYFMERROR_H

#include <QString>

namespace FlyFM
{
class Error
{
public:
    explicit Error(int code = 0, const QString &text = QString());
    Error(const Error &);
    Error &operator=(const Error &);

    void set(int code, const QString &text);
    int code() const;
    QString text() const;

private:
    int m_code;
    QString m_text;
};
}

#endif // FLYFMERROR_H
