/*

  Explorer Graphic User's Interface Library
  General settings widget

  Author(s): Ilja V. Ryndin <support@rusbitech.ru>

  Start date: *

*/

#ifndef FLYFMGENERALSETTINGSWIDGET_H
#define FLYFMGENERALSETTINGSWIDGET_H

#include <QWidget>

class QLineEdit;

namespace FlyFM
{
class GeneralSettingsWidget : public QWidget
{
    Q_OBJECT

public:

    GeneralSettingsWidget(QWidget *parent = nullptr);
    ~GeneralSettingsWidget();

    void apply();

private:

    void refreshValues();
    QLineEdit *m_trashcanSizeLineEdit;
};
}

#endif // FLYFMGENERALSETTINGSWIDGET_H
