#ifndef PATHCOMPLETER_H
#define PATHCOMPLETER_H

#include <flyfm/gui_export.h>

#include <QCompleter>

namespace FlyFM
{

class Model;

class FLYFM_GUI_EXPORT PathCompleter : public QCompleter
{
    Q_OBJECT
public:
    explicit PathCompleter(Model *model, QObject *parent = nullptr);

    QString pathFromIndex(const QModelIndex &index) const override;
    QStringList splitPath(const QString &path) const override;

private:
    Model *m_sourceModel;
};

}

#endif
