#ifndef SETTINGSPAGEBASE_H
#define SETTINGSPAGEBASE_H

#include <flyfm/gui_export.h>

#include <QWidget>

namespace FlyFM
{

class FLYFM_GUI_EXPORT SettingsPageBase : public QWidget
{
    Q_OBJECT
public:
    explicit SettingsPageBase(QWidget *parent = nullptr);
    virtual ~SettingsPageBase();

    virtual void apply() = 0;
    virtual void reset() = 0;

signals:
    void changed();
};

} // namespace FlyFM

#endif // SETTINGSPAGEBASE_H
