#ifndef SHORTCUTSHANDLER_H
#define SHORTCUTSHANDLER_H

#include <flyfm/gui_export.h>

#include <QScopedPointer>
#include <fly/shortcutsmodel.h>

namespace FlyFM
{

class FLYFM_GUI_EXPORT ShortcutsHandler
{
public:
    static ShortcutsModel *get();
private:
    ShortcutsHandler();
    QScopedPointer<ShortcutsModel> m_shortcutsModel;
};

} // namespace FlyFM

#endif // SHORTCUTSHANDLER_H
