#ifndef FLYFMSINGLETONE_H
#define FLYFMSINGLETONE_H

#include <flyfm/core_export.h>

namespace FlyFM
{

class FLYFM_CORE_EXPORT Singletone
{
public:
    Singletone();
    Singletone(const Singletone &) = delete;
    Singletone &operator=(const Singletone &) = delete;
    virtual ~Singletone();

    virtual void release() = 0;

protected:
    bool isFreed() const;
    virtual void free();

    friend class SingletoneReleaser;

    bool m_isFreed;
};

}

#endif // FLYFMSINGLETONE_H
