#ifndef STRINGPAIR_H
#define STRINGPAIR_H

#include <QString>
#include <QMap>
#include <QMetaType>

#include <flyfm/entry.h>

namespace FlyFM
{

class StringMap : public QMap<QString, QString>
{
public:
    StringMap() {}
    StringMap(const QMap<QString, QString> &map) : QMap<QString, QString>(map) {}
};

using StringEntryMap = QMap<QString, Entry>;

}

Q_DECLARE_METATYPE(FlyFM::StringMap)
Q_DECLARE_METATYPE(FlyFM::StringEntryMap)

#endif // STRINGPAIR_H
