#ifndef FLYFM_AUTHDIALOG_H
#define FLYFM_AUTHDIALOG_H

#include <QDialog>

namespace Ui
{
class AuthDialog;
}

namespace FlyFM
{

class AuthDialog : public QDialog
{
    Q_OBJECT

public:
    explicit AuthDialog(QWidget *parent = nullptr);
    ~AuthDialog();

    void setMessage(const QString &message);

    void setAuth(const QString &user, const QString &password = QString());
    QString user() const;
    QString password() const;

private slots:
    void checkValues();

private:
    Ui::AuthDialog *ui;
};

}

#endif // FLYFM_AUTHDIALOG_H
