#ifndef FLYFM_DIALOG_H
#define FLYFM_DIALOG_H

#include <flyfm/gui_export.h>

#include <QDialog>

namespace FlyFM
{

class FLYFM_GUI_EXPORT Dialog : public QDialog
{
    Q_OBJECT
public:
    explicit Dialog(QWidget *parent = nullptr);

    static Qt::WindowModality defaultWindowModality();
    static void setDefaultWindowModality(Qt::WindowModality modality);

private:
    static Qt::WindowModality defaultModality;
};

} // namespace FlyFM

#endif // FLYFM_DIALOG_H
