/*

  Author(s): Ilja V. Ryndin <support@rusbitech.ru>

  Start date: *

*/

#ifndef FLYFMFINDPLUGINWIDGET_H
#define FLYFMFINDPLUGINWIDGET_H

#include <flyfm/gui_export.h>

#include <QWidget>

namespace FlyFM
{

class EntryMatchValidator;

class FLYFM_GUI_EXPORT FindPluginWidget : public QWidget
{
    Q_OBJECT
public:
    FindPluginWidget(QWidget *parent = nullptr);
    virtual ~FindPluginWidget();

    virtual EntryMatchValidator *buildMatchValidator() = 0;

signals:
    void changed();
};

}

#endif // FLYFMFINDPLUGINWIDGET_H
