#ifndef FLYFM_IMANAGEICONSIZE_H
#define FLYFM_IMANAGEICONSIZE_H

#include <flyfm/iconsize.h>

namespace FlyFM
{

class IManageIconSize
{
public:
    IManageIconSize() {}
    IManageIconSize(const IManageIconSize &) = delete;
    IManageIconSize &operator=(const IManageIconSize &) = delete;
    virtual ~IManageIconSize() {}

    virtual IconSize iconSize() const = 0;
    virtual void setIconSize(IconSize size) = 0;
};

}

#endif // FLYFM_IMANAGEICONSIZE_H
