/*

  Author(s): Ilja V. Ryndin <support@rusbitech.ru>

  Start date: *

*/

#ifndef FLYFMPROPSPLUGINWIDGET_H
#define FLYFMPROPSPLUGINWIDGET_H

#include <flyfm/core_export.h>

#include <QWidget>

namespace FlyFM
{
class FLYFM_CORE_EXPORT PropsPluginWidget : public QWidget
{
    Q_OBJECT
public:
    PropsPluginWidget(QWidget *parent = nullptr);
    virtual ~PropsPluginWidget();

public slots:
    virtual bool apply() = 0;

signals:
    void changed();
};

}

#endif // FLYFMPROPSPLUGINWIDGET_H
