/*

  Explorer Graphic User's Interface Library
  General settings widget

  Author(s): Ilja V. Ryndin <support@rusbitech.ru>

  Start date: *

*/

#ifndef FLYFMSERVICESETTINGSWIDGET_H
#define FLYFMSERVICESETTINGSWIDGET_H

#include <QWidget>

class QLineEdit;

namespace FlyFM
{
class ServiceSettingsWidget : public QWidget
{
    Q_OBJECT

public:

    ServiceSettingsWidget(QWidget *parent = nullptr);
    ~ServiceSettingsWidget();

    void apply();

private:

    void refreshValues();
    QLineEdit *m_serviceTimeLineEdit;
};
}

#endif // FLYFMSERVICESETTINGSWIDGET_H
