/*

  Author(s): Ilja V. Ryndin <support@rusbitech.ru>

  Start date: *

*/

#ifndef FLYFM_TEXTDIGESTENUMERATOR_H
#define FLYFM_TEXTDIGESTENUMERATOR_H

#include <QString>
#include <QList>

#include <flyfm/entrylist.h>

namespace FlyFM
{

class PropsPlugin;

class TextDigestEnumerator
{
public:
    void setEntries(const EntryList &entries);
    QString digestText(int index, bool *m_pAliveFlag = nullptr);
    int count() const;

protected:
    TextDigestEnumerator(const QList<PropsPlugin *> &);
    QList<PropsPlugin *> m_plugins;
    EntryList m_entries;

    friend class Props;
};
}

#endif // FLYFM_TEXTDIGESTENUMERATOR_H
