/*

  Author(s): Ilja V. Ryndin <support@rusbitech.ru>

  Start date: *

*/

#ifndef FLYFMUSERPROPCAPS_H
#define FLYFMUSERPROPCAPS_H

#include <flyfm/core_export.h>
#include <flyfm/singletone.h>

#include <QString>

namespace FlyFM
{
class FLYFM_CORE_EXPORT UserPropCaps : public Singletone
{
public:
    static UserPropCaps *ptr();
    virtual ~UserPropCaps();

    void setAccessibility(uid_t uid, const QString &pluginFileName, bool enabled);
    bool isAccessible(uid_t uid, const QString &pluginFileName);

    void release() override;

protected:
    UserPropCaps();

    static UserPropCaps *m_ptr;
};
}

#endif // FLYFMUSERPROPCAPS_H
